Summary: SSL-encrypting socket wrapper
Name: stunnel
Version: 3.26
Release: 1tr
License: GPL
Group: Network/Utilities
Source0: http://www.stunnel.org/download/stunnel/src/stunnel-%{version}.tar.gz
Patch1: stunnel-3.14-Makefile.in.patch
Buildroot: /var/tmp/stunnel-root

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.

%post
echo "To generate a self signed certificate, execute the following commands:"
echo ""
echo ""
echo "cd /etc/ssl/certs"
echo "openssl req -new -x509 -nodes -days 365 -out server.pem -keyout server.pem"
echo "ln -s server.pem \`openssl x509 -noout -hash < server.pem\`.0" 
echo "chmod 644 server.pem"
echo ""

%postun
if [ -r /var/ssl/certs/server.pem ]; then
	echo "You may wish to remove the stunnel certificate."
	echo "If so, execute the following commands:"
	echo ""
	echo "rm -f /etc/ssl/certs/`openssl x509 -noout -hash < /etc/ssl/certs/server.pem`.0"
	echo "rm -f /etc/ssl/certs/server.pem"
	echo ""
fi

%prep

%setup -q
%patch1 -p1

%build
#autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --infodir=/usr/share/info --mandir=/usr/share/man --with-pem-dir=/etc/ssl/certs
make <<__EOF__
BW
Southern Island
Cliff
Penguins Cooperated
Cliffhangers
penguins.sample.trustix.com
localhost
__EOF__

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
/usr/bin/install -c -m 711 stunnel $RPM_BUILD_ROOT/usr/sbin
/usr/bin/install -c -m 644 stunnel.8 $RPM_BUILD_ROOT/usr/share/man/man8
/usr/bin/install -c -m 755 stunnel.so $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) %doc BUGS COPYING COPYRIGHT.GPL COPYRIGHT.SSLeay FAQ 
%attr(0755,root,root) %doc README TODO stunnel.html INSTALL 
%attr(0755,root,root) %doc PORTS HISTORY 
%attr(0711,root,root) /usr/sbin/stunnel
%attr(0755,root,root) /usr/lib/stunnel.so
%attr(0644,root,root) %{_mandir}/man8/stunnel.8*

%changelog
* Thu Nov 27 2003 Chr. Toldnes <christht at trustix dot org> 3.26-1tr
- New version fixes security issue.

* Thu Aug  5 2003 Erlend Midttun <erlendbm@trustix.com>
- Picked up 3.25 to fix security hole with signal handling.

* Wed Jan  2 2002 Erlend Midttun <erlendbm@trustix.com>
- Picked up 3.22 to fix security hole.

* Thu Jun 14 2001 Erlend Midttun <erlendbm@trustix.com>
- Now generate dummy certificate so it won't stop the autobuild.

* Tue Mar  5 2001 Alexander Reelsen <ar@trustix.com>
- Picked up 3.14

* Tue Dec 19 2000 Oystein Viggen <oysteivi@trustix.com>
- Fix a format string exploit in log.c

* Wed Nov 22 2000 Olaf Trygve Berglihn <olafb@trustix.com>
- Updated to version 3.8p4
- Moved piddir to /var/run
- Moved manpages to /usr/share/man
- Moved pemdir to /usr/ssl/certs

* Mon Feb 18 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to version 2.8
- Moved manpages to comply with FHS

* Fri Aug 12 1999 Damien Miller <damien@ibs.com.au>
- Updated to 3.4a
- Patched for OpenSSL 0.9.4
- Cleaned up files section

* Sun Jul 11 1999 Damien Miller <dmiller@ilogic.com.au>
- Updated to 3.3

* Sat Nov 28 1998 Damien Miller <dmiller@ilogic.com.au>
- Initial RPMification


